From 4a53eb669139c9a9afb3e21427c7cb90b439ee18 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Mon, 28 Nov 2022 17:20:20 +0100
Subject: [PATCH v28 3/8] code style

---
 src/backend/commands/copy.c | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/src/backend/commands/copy.c b/src/backend/commands/copy.c
index 5ae68842df..b8bd78d358 100644
--- a/src/backend/commands/copy.c
+++ b/src/backend/commands/copy.c
@@ -151,15 +151,13 @@ DoCopy(ParseState *pstate, const CopyStmt *stmt,
 		attnums = CopyGetAttnums(tupDesc, rel, stmt->attlist);
 		foreach(cur, attnums)
 		{
-			int			attno = lfirst_int(cur) -
-			FirstLowInvalidHeapAttributeNumber;
+			int			attno;
+			Bitmapset **bms;
 
-			if (is_from)
-				perminfo->insertedCols = bms_add_member(perminfo->insertedCols,
-														attno);
-			else
-				perminfo->selectedCols = bms_add_member(perminfo->selectedCols,
-														attno);
+			attno = lfirst_int(cur) - FirstLowInvalidHeapAttributeNumber;
+			bms = is_from ? &perminfo->insertedCols : &perminfo->selectedCols;
+
+			*bms = bms_add_member(*bms, attno);
 		}
 		ExecCheckPermissions(pstate->p_rtable, list_make1(perminfo), true);
 
-- 
2.30.2

